Skip to main content

Place Order

POST /papi/v1/ramp/connect/sandbox/place-order

This endpoint allows you to place test orders in the sandbox environment to simulate the complete order lifecycle without using real funds.

Request Body​

FieldTypeMandatoryRemarks
externalOrderIdstringYesThe unique order id from the partner side. Supports only letters and numbers.
fiatCurrencystringYesFiat currency code (e.g., EUR, USD)
cryptoCurrencystringYesCrypto currency code (e.g., USDT, BTC)
requestedAmountstringYesRequested amount. Must be greater than 0 and less than 9999999999999999
amountTypeintYesSpecify whether the requested amount is in fiat:1 or crypto:2
typestringYesOrder type: BUY, BUY_P2P, SEND

Response Body​

FieldTypeRemarks
successbooleanIndicates if the request succeeded
codestringResponse code
messagestringResponse message

Example 1: Place a BUY order​

Request Parameters:

{
"externalOrderId": "946972922319",
"fiatCurrency": "EUR",
"cryptoCurrency": "USDT",
"requestedAmount": "100",
"amountType": 1,
"type": "BUY"
}

Response:

{
"success": true,
"code": "000000",
"message": "success",
"data": null
}

Example 2: Place a BUY_P2P order​

Request Parameters:

{
"externalOrderId": "946972922320",
"fiatCurrency": "USD",
"cryptoCurrency": "BTC",
"requestedAmount": "0.5",
"amountType": 2,
"type": "BUY_P2P"
}

Response:

{
"success": true,
"code": "000000",
"message": "success",
"data": null
}

Example 3: Place a SEND order​

Request Parameters:

{
"externalOrderId": "946972922321",
"fiatCurrency": "EUR",
"cryptoCurrency": "ETH",
"requestedAmount": "1.5",
"amountType": 2,
"type": "SEND"
}

Response:

{
"success": true,
"code": "000000",
"message": "success",
"data": null
}